From: Bill Allombert <ballombe@debian.org>
Date: Thu, 24 Nov 2022 08:54:45 +0000
Subject: Wrap jpeglib.h with extern "C" {} if __cplusplus is defined.

Origin: Debian
Forwarded: not-needed
Last-Update: 2010-06-03

Wrap jpeglib.h inside extern "C" { ... } if the compiler
defines __cplusplus.
===================================================================
---
 jpeglib.h | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/jpeglib.h b/jpeglib.h
index d1be8dd..7e19d84 100644
--- a/jpeglib.h
+++ b/jpeglib.h
@@ -13,6 +13,10 @@
 #ifndef JPEGLIB_H
 #define JPEGLIB_H
 
+#ifdef __cplusplus
+extern "C" {
+#endif
+
 /*
  * First we include the configuration files that record how this
  * installation of the JPEG library is set up.  jconfig.h can be
@@ -1093,4 +1097,8 @@ struct jpeg_color_quantizer { long dummy; };
 #include "jerror.h"		/* fetch error codes too */
 #endif
 
+#ifdef __cplusplus
+}
+#endif
+
 #endif /* JPEGLIB_H */
